package org.chir;

import java.awt.*;
import java.net.*;

public class LoadImage
{
	/** Tries to load an AWT image using all possible ways.
     * @param c		The application's main class.
     * @param s		The filename of the image to load.
     * @return      The requested image, or NULL if not found.
     */
    public static Image LoadImage( Class c, String s )
    {
        Image   im = null;
        URL     u;
        String  s2 = "/" + s;

        u = c.getResource(s2);  if( u == null )  { u = c.getResource(s); }  // for jar files ?
        if( u != null )
        {
            im = Toolkit.getDefaultToolkit().getImage(u);
        }
        else
        {
            im = Toolkit.getDefaultToolkit().getImage(s);
            if( im == null )  { im = Toolkit.getDefaultToolkit().getImage(s2); }
        }
        return im;
    }
}